iquicklauncher
Various KDE Extensions
Description:

Improved quick launcher.

Features:
- popup menus
- special buttons
- drag & drop
- variable number of rows and columns

based on kde 3.2

Installation:
./configure
make
su
make install

Have fun!
Last changelog:

11 years ago

05/05/15
Fixed compile error on x86_64
05/03/02
Fixed crash in kde 3.4rc1

sisqonrw

8 years ago

hi can i use it for Kubuntu (KDE 4) 8.04 (Hardy Heron)?

i want to install it but i get this error message:

http://paste.ubuntuusers.de/391433/

whats wrong?

thx

Report

silencer

9 years ago

Thank you SO MUCH!
I love it! :)

Is there any way to put a Show Desktop icon there?

thanks! :)

Report

masteryoda

11 years ago

I'm using Fedora Core 5 with KDE 3.5.1

checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE libraries installed. This will fail.
So, check this please and use another prefix!

Saw this "Check if you have libkonq in /usr/lib and konq_operations.h in /usr/include." mentioned below.

Mine are in /usr/lib64 and /usr/include/kde

If that helps.

Report

Anaki

11 years ago

What is that application, that shows cpu, partitions, etc...???

Report

niti

11 years ago

I had wish for this feature to KDE. You did before them. Good job. Thank you...

Report

niti

11 years ago

I got a few error during make and make install.
during make:

make[3]: *** [browser_mnu.lo] Error 1
make[3]: Leaving directory `/home/niti/iquicklauncher/src/ui'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/niti/iquicklauncher/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/niti/iquicklauncher'
make: *** [all] Error 2

during make install:

browser_mnu.cpp:413: error: ‘KonqOperations’ has not been declared
browser_mnu.cpp:413: error: ‘doDrop’ was not declared in this scope
make[2]: *** [browser_mnu.lo] Error 1
make[2]: Leaving directory `/home/niti/iquicklauncher/src/ui'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/niti/iquicklauncher/src'
make: *** [install-recursive] Error 1

Report

niti

11 years ago

I am using mandriva 2005. It has KDE 3.4.1. Maybe KDE release is problem.

Report

kedge

11 years ago

I also have mdk2005 and KDE 3.4.1 and it works.
Check if you have libkonq in /usr/lib and konq_operations.h in /usr/include.

Report

niti

11 years ago

I havent them . Which package must I install?

Report

niti

11 years ago

I installed libkdebase package and it is installed without problem. How will I use this program now? Thanks.

Report

kedge

11 years ago

I don't know for sure, but think you need libkdecore4-devel and libkdebase4-devel and than compile it.

Report

bluecrack

12 years ago

Neat. By-the-way, where did you find the system monitoring and weather apps?

Report

kedge

12 years ago

weather from http://www.kde-look.org/content/show.php?content=6384 (I have older version)
Monitoring app from:
http://www.kde-look.org/content/show.php?content=16265, I've slightly changed it, if you want I can post it.

Report

pulpitus

11 years ago

-12/-3ºC... nice weather :)

Report

philr

11 years ago

Very nice indeed.

Could you post the monitoring Karamba theme? And yeah, looks like great weather where you are :-)

Phil.

Report

kedge

11 years ago

I've uploaded the monitoring theme to my homepage kedge.wz.cz, it's under menu entry 'other'.
Have fun!

Report

Ekardnam

12 years ago

Why is it called iquicklauncher?
I think a name like kuicklauncher would be
more kde-ish ;P

Report

odisseas

12 years ago

Very fancy. could you please tell me how did you make you application bar buttons transparent ?

Report

kedge

12 years ago

Report

kedge

12 years ago

Report

todzuallen

12 years ago

where'd you get the desktop background?
thanks

Report

kedge

12 years ago

Report

s3m10s

12 years ago

this compiles and installs under kde3.4 rc 1, but contains undefined symbols: ZN19KonqBookmarkManager17s_bookmarkManagerE

I can't figure it out. any help would be great

Report

Superstoned

12 years ago

nice work! maybe you can send the code to the mantainer of the current quicklauncher (I guess aaron J seigo?), so he(she) can include it in KDE 3.5...

Report

aseigo

12 years ago

well, seeing as it contains files totaling >6k lines copied directly from kicker itself, i don't think i'd include this as is. too much code duplication.

at least most of the code (almost) properly accredited, unlike many other kicker forkings. =)

(src/containerarea* isn't though, and the AUTHORS file referenced in buttons/* and ui/* contains just Roman's name. so... yeah... almost. =)

anyways, to do this in a way that it would be possible to include with kicker, one would have to port all the buttons to be menuexts, which would be a good thing anyways. it would likely mean moving several classes into libkickermain such as ShowDesktop .. but that too would be good.

it's certainly do-able, and i'd welcome Roman's help in hacking on kicker =)

Report

11 years ago

05/05/15
Fixed compile error on x86_64
05/03/02
Fixed crash in kde 3.4rc1

Filename Version Description Filetype Packagetype License Downloads Date Filesize Install
Score 66%
66.00 Likes
34 Dislikes
Details
version
0.1
updated Jun 15 2005
added Mar 02 2005
downloads
page views 471